Subject: Re: [apps-discuss] New Version Notification for draft-shelby-exi-registration-01.txt
From: Mark Nottingham <[email-masked]>
To: Yusuke DOI <[email-masked]>
Cc: "[email-masked] application-layer protocols" <[email-masked]>
Date: Mon, 2 Apr 2012 11:08:25 -0400
List-Id: General discussion of application-layer protocols <apps-discuss.ietf.org>

Potentially exploding the number of XML media types defined across the Web and in e-mail to save a few bytes in *one* use case seems like a poor trade-off to me. 

On 02/04/2012, at 3:45 AM, Yusuke DOI wrote:

> Dear Mark,
> 
> I have a following use case.
> 
> As EXI is expected to be used in constrained environments, we want to make it as short as possible. With application+exi content-type, we can make sure the field is under the application's convention; schemaId '1' may mean the version 1 of a schema for the application, and so on.
> 
> In other words, this kind of content-type definition (application + encoding) can imply the format of schemaId field used in the application. And this helps 'option/encoding negotiation' of EXI.
> 
> Regards,
> 
> Yusuke
> 
> 
> On 2012年03月31日 19:55, Mark Nottingham wrote:
>> What's the use case here? Content negotiation, or something else?
>> 
>> Regards,
>> 
>> 
>> On 29/03/2012, at 10:52 PM, Zach Shelby wrote:
>> 
>>> I have posted a new version of the +exi registration draft. This version improves the Interoperability considerations of the registration requirements and further clarifies when this suffix may be used, as per the feedback on the list from Carine and others.
>>> 
>>> http://www.ietf.org/id/draft-shelby-exi-registration-01.txt
>>> 
>>> Regards,
>>> Zach
>>> 
>>> Begin forwarded message:
>>> 
>>>> From: [email-masked]
>>>> Date: March 29, 2012 10:47:32 PM GMT+02:00
>>>> To: [email-masked]
>>>> Subject: New Version Notification for draft-shelby-exi-registration-01.txt
>>>> 
>>>> A new version of I-D, draft-shelby-exi-registration-01.txt has been successfully submitted by Zach Shelby and posted to the IETF repository.
>>>> 
>>>> Filename:	 draft-shelby-exi-registration
>>>> Revision:	 01
>>>> Title:		 The +exi Media Type Suffix
>>>> Creation date:	 2012-03-29
>>>> WG ID:		 Individual Submission
>>>> Number of pages: 5
>>>> 
>>>> Abstract:
>>>>  Efficient XML Interchange (EXI) is an XML representation technique
>>>>  specified by the W3C to provie a binary alternative to the standard
>>>>  text XML representation.  This document defines a new Structure
>>>>  Syntax Suffix&quot;+exi&quot; for use in a specific class of protocols, where
>>>>  &quot;exi&quot; content-type encoding or the generic&quot;application/exi&quot; Media
>>>>  Type are not applicable.
>>>> 
>>>> 
>>>> 
>>>> 
>>>> The IETF Secretariat
>>> 
>>> --
>>> Zach Shelby, Chief Nerd, Sensinode Ltd.
>>> http://www.sensinode.com
>>> http://zachshelby.org  - My blog "On the Internet of Things"
>>> http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
>>> Mobile: +358 40 7796297
>>> 
>>> _______________________________________________
>>> apps-discuss mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/apps-discuss
>> 
>> --
>> Mark Nottingham
>> http://www.mnot.net/
>> 
>> 
>> 
>> 
>> _______________________________________________
>> apps-discuss mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/apps-discuss
> 

--
Mark Nottingham
http://www.mnot.net/